// @ts-nocheck
import { Controller, Get, Response } from '@nestjs/common';
import { ApiResponse } from '@nestjs/swagger';

@Controller('health-check')
export class HealthController {
	/**
	 * Health check endpoint
	 */
	@ApiResponse({
		status: 200,
		description: 'API is online',
		schema: {
			default: 'OK',
		},
	})
	@Get()
	status() {
		return 'OK';
	}
}
